Bug Hunting Session
Bug 100092 - Idles in writer behave unpredictably
Summary: Idles in writer behave unpredictably
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All All
: medium normal
Assignee: Jan Holesovsky
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-27 16:23 UTC by Jan Holesovsky
Modified: 2016-10-25 18:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2016-05-27 16:23:34 UTC
The firing of idles in Writer is not predictable.  That's OK for the usual use cases, but in some environments, it is desirable to behave predictably.  Let's introduce some determinism to the scheduler (guarded by an env. variable) that allows LibreOffice to be better controlled by ProcessEventsToIdle.
Comment 1 V Stuart Foote 2016-05-27 17:54:11 UTC
Kendy, code pointers or are you going to tackle it?
Comment 2 Jan Holesovsky 2016-05-30 11:03:01 UTC
Stuart: Sorry; indeed I'm on this.
Comment 3 Commit Notification 2016-05-31 13:24:35 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f98cf32836eb10af7fc673b1fe61421fcb98d3b

tdf#100092: Deterministic scheduling to prevent unpredictable behavior.

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-05-31 13:28:13 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5acdf13b21e52e3c26657d063a9b327006bc5494&h=libreoffice-5-2

tdf#100092: Deterministic scheduling to prevent unpredictable behavior.

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-05-31 15:38:39 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75cfd5e81d5ba04df55053b4f52d285328fd708e&h=libreoffice-5-1

tdf#100092: Deterministic scheduling to prevent unpredictable behavior.

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Meeks 2016-05-31 16:05:11 UTC
Thanks Kendy; nice work =)